al_color_xyz(3)

NAME

al_color_xyz - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    ALLEGRO_COLOR al_color_xyz(float x, float y, float z)

DESCRIPTION

Return an ALLEGRO_COLOR(3) structure from XYZ values. The CIE 1931 XYZ color space consists of three components in the range 0..1. The Y component corresponds to luminance and the X and Z components define the color.

RGB components are always assumed to be in sRGB space.

    Note:

    The XYZ color space can represent more colors than are visible in sRGB and therefore conversion may result in RGB values outside of the 0..1 range. You can check for that case with al_is_color_valid(3).

SINCE

5.2.3

SEE ALSO

al_color_xyz_to_rgb(3), al_color_rgb_to_xyz(3)